package ope.shopping;

public class Shopping {

   public static void main(String[] args) {

      // Create person objects called Matti and Maija.
      Person maija = new Person("Maija");
      Person matti = new Person("Matti");

      /*
       * Create some products: Camera (120 euros), Printer
       * (110 euros), Flashlight (20 euros), Mobile phone
       * (310 euros).
       */
      Product camera = new Product("Camera", 120);
      Product printer = new Product("Printer", 110);
      Product flashlight = new Product("Flashlight", 20);
      Product mobilephone = new Product("iLuuri", 310);

      // Maija and Matti receive some money.
      maija.receiveMoney(460);
      matti.receiveMoney(440);

      // Create shopping carts for Matti and Maija.
      ShoppingCart cart1 = new ShoppingCart(maija);
      ShoppingCart cart2 = new ShoppingCart(matti);

      // Maija wants a camera and a mobile phone.
      cart1.addProduct(camera);
      cart1.addProduct(mobilephone);

      // Matti wants a printer, a mobile phone and a
      // flashlight.
      cart2.addProduct(mobilephone);
      cart2.addProduct(printer);
      cart2.addProduct(flashlight);

      // Maija and Matti are now going to check out.
      cart1.checkOut();
      cart2.checkOut();
   }

}
